/* 
 * Copyright (C) 2000 the xine project
 * 
 * This file is part of xine, a unix video player.
 * 
 * xine is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * xine is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * $Id: monitor.h,v 1.6 2000/11/16 02:51:26 guenter Exp $
 *
 * debug print and profiling functions
 *
 */
 
/* comment out next line for release versions: */
/* #define VERBOSITY_LEVEL 3     */

#ifdef VERBOSITY_LEVEL
#define debug_printf(level, args...)\
{\
  if (level <= VERBOSITY_LEVEL)\
    printf (args);\
}
#else 
#define debug_printf(level, args...)
#endif

/*
 * profiling
 */

/* comment out next line for release versions */
/* #define ENABLE_PROFILING */

#ifdef ENABLE_PROFILING

void profiler_init ();

void profiler_start_count (int id);

void profiler_stop_count (int id);

void profiler_print_results ();

#else

#define profiler_init()
#define profiler_start_count(id)
#define profiler_stop_count(id)
#define profiler_print_results()

#endif

